# namify [![NPM version](https://badge.fury.io/js/namify.png)](http://badge.fury.io/js/namify)

> Convert a npm package name into a safe-to-use variable name. Use as a mixin in Yeoman generators.

## Install
Install with [npm](npmjs.org):

```bash
npm i namify --save-dev
```


Install with [bower](https://github.com/bower/bower)

```bash
npm i namify --save-dev
```

## Usage

```js
var namify = require('namify');
console.log(namify('foo-bar-bar'));
//=> fooBarBaz
```
If the resulting variable name matches an [ECMAscript reserved word](https://github.com/jonschlinkert/reserved), an underscore will be prepended to the variable name.

### Yeoman generators

Use as a mixin in Yeoman generators:

```js
// in the contructor
this._.mixin(namify);

// in templates you can now do something like:
var <%= _.namify(appName) %> = require('<%= appname %>');
//=> var fooBarBaz = require('foo-bar-baz');
```

## Author

**Jon Schlinkert**

+ [github/jonschlinkert](https://github.com/jonschlinkert)
+ [twitter/jonschlinkert](http://twitter.com/jonschlinkert)

## License
Copyright (c) 2014 Jon Schlinkert, contributors.  
Released under the MIT license

***

_This file was generated by [verb-cli](https://github.com/assemble/verb-cli) on May 11, 2014._